APIResult (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Enum APIResult

- java.lang.Object
- - java.lang.Enum<APIResult>
  - - com.marketfactory.zerogc.api.APIResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APIResult>

      public enum APIResult
      extends java.lang.Enum<APIResult>

  Result/error codes provided by the API methods.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `ADMIN_HANDLER_FAULT` Admin users must use the api's admin handler, normal users must not.
    `BUFFER_FULL` Incoming or outgoing buffers full.
    `COULD_NOT_CONNECT` Connection failed, server down or invalid host/port.
    `COULD_NOT_LOGIN` Other error attempting to log in.
    `COULD_NOT_OPEN` File could not be opened.
    `DUPLICATE_CLIENT_ORDERID` Another order with the smae client ID is current.
    `EXCEPTION_THROWN` An exception was raised within a handler function.
    `INCOMPATIBLE_PROTOCOL` The server protocol version is incompatible with this client's protocol version.
    `INVALID_BATCHID` The batch definition ID provided is invalid.
    `INVALID_CLIENT_ORDERID` The client ID provided is invalid.
    `INVALID_FEED` The feed ID provided is invalid.
    `INVALID_MARKET` The feed ID provided is invalid.
    `INVALID_MARKETDATA_FEED` The feed does not support market data.
    `INVALID_ORDERID` The order ID provided is invalid.
    `INVALID_PARAMETER` A provided parameter was invalid.
    `INVALID_PASSWORD` The supplied password is invalid for the given username.
    `INVALID_TRADING_FEED` The feed does not support trading.
    `INVALID_USER` The supplied username is invalid.
    `IS_CONNECTED` The client is already connected.
    `IS_RUNNING` The dispatcher is already running; only one thread may dispatch on a client instance.
    `IS_STOPPING` The dispatcher is stopping; no more outgoing messages allowed.
    `NOT_APPLICABLE` Null.
    `NOT_CONNECTED` The dispatcher is not connected.
    `NOT_IMPLEMENTED` The feature is not implemented.
    `NOT_RUNNING` The dispatcher is not running.
    `OK` Success; no error.
    `PROTOCOL_ERROR` An error occurred while decoding/encoding the network protocol.
    `SOCKERR_CLOSED` Connection closed unexpectedly.
    `SOCKERR_CONNECT` Error connecting to the remote port.
    `SOCKERR_CREATE` Error creating communication socket.
    `SOCKERR_DNS` Error resolving the remote address for connection.
    `SOCKERR_READING` Error reading from the remote socket.
    `SOCKERR_WRITING` Error writing to the remote socket.
    `SYSTEM_LOCKED` Server is locked.
    `TIMEOUT` Keepalive messages timed out, connection probably stale.
    `USER_ALREADY_CONNECTED` The supplied username is already connected to the server via another client.
    `USER_LOCKED` User is prohibited from logging in.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static APIResult` | `get(byte value)`
    `static java.util.Collection<APIResult>` | `validValues()`
    `static APIResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APIResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final APIResult OK

      Success; no error.

    - #### COULD_NOT_CONNECT

          public static final APIResult COULD_NOT_CONNECT

      Connection failed, server down or invalid host/port.

    - #### TIMEOUT

          public static final APIResult TIMEOUT

      Keepalive messages timed out, connection probably stale.

    - #### BUFFER_FULL

          public static final APIResult BUFFER_FULL

      Incoming or outgoing buffers full.

    - #### COULD_NOT_OPEN

          public static final APIResult COULD_NOT_OPEN

      File could not be opened.

    - #### SOCKERR_DNS

          public static final APIResult SOCKERR_DNS

      Error resolving the remote address for connection.

    - #### SOCKERR_CREATE

          public static final APIResult SOCKERR_CREATE

      Error creating communication socket.

    - #### SOCKERR_CONNECT

          public static final APIResult SOCKERR_CONNECT

      Error connecting to the remote port.

    - #### SOCKERR_CLOSED

          public static final APIResult SOCKERR_CLOSED

      Connection closed unexpectedly.

    - #### SOCKERR_READING

          public static final APIResult SOCKERR_READING

      Error reading from the remote socket.

    - #### SOCKERR_WRITING

          public static final APIResult SOCKERR_WRITING

      Error writing to the remote socket.

    - #### NOT_CONNECTED

          public static final APIResult NOT_CONNECTED

      The dispatcher is not connected.

    - #### NOT_RUNNING

          public static final APIResult NOT_RUNNING

      The dispatcher is not running.

    - #### IS_CONNECTED

          public static final APIResult IS_CONNECTED

      The client is already connected.

    - #### IS_RUNNING

          public static final APIResult IS_RUNNING

      The dispatcher is already running; only one thread may dispatch on a client instance.

    - #### IS_STOPPING

          public static final APIResult IS_STOPPING

      The dispatcher is stopping; no more outgoing messages allowed.

    - #### EXCEPTION_THROWN

          public static final APIResult EXCEPTION_THROWN

      An exception was raised within a handler function.

    - #### PROTOCOL_ERROR

          public static final APIResult PROTOCOL_ERROR

      An error occurred while decoding/encoding the network protocol.

    - #### INCOMPATIBLE_PROTOCOL

          public static final APIResult INCOMPATIBLE_PROTOCOL

      The server protocol version is incompatible with this client's protocol version.

    - #### INVALID_USER

          public static final APIResult INVALID_USER

      The supplied username is invalid.

    - #### INVALID_PASSWORD

          public static final APIResult INVALID_PASSWORD

      The supplied password is invalid for the given username.

    - #### USER_ALREADY_CONNECTED

          public static final APIResult USER_ALREADY_CONNECTED

      The supplied username is already connected to the server via another client.

    - #### COULD_NOT_LOGIN

          public static final APIResult COULD_NOT_LOGIN

      Other error attempting to log in.

    - #### INVALID_FEED

          public static final APIResult INVALID_FEED

      The feed ID provided is invalid.

    - #### INVALID_MARKET

          public static final APIResult INVALID_MARKET

      The feed ID provided is invalid.

    - #### INVALID_ORDERID

          public static final APIResult INVALID_ORDERID

      The order ID provided is invalid.

    - #### INVALID_BATCHID

          public static final APIResult INVALID_BATCHID

      The batch definition ID provided is invalid.

    - #### INVALID_CLIENT_ORDERID

          public static final APIResult INVALID_CLIENT_ORDERID

      The client ID provided is invalid.

    - #### DUPLICATE_CLIENT_ORDERID

          public static final APIResult DUPLICATE_CLIENT_ORDERID

      Another order with the smae client ID is current.

    - #### INVALID_MARKETDATA_FEED

          public static final APIResult INVALID_MARKETDATA_FEED

      The feed does not support market data.

    - #### INVALID_TRADING_FEED

          public static final APIResult INVALID_TRADING_FEED

      The feed does not support trading.

    - #### USER_LOCKED

          public static final APIResult USER_LOCKED

      User is prohibited from logging in.

    - #### SYSTEM_LOCKED

          public static final APIResult SYSTEM_LOCKED

      Server is locked. No users may connect.

    - #### ADMIN_HANDLER_FAULT

          public static final APIResult ADMIN_HANDLER_FAULT

      Admin users must use the api's admin handler, normal users must not.

    - #### INVALID_PARAMETER

          public static final APIResult INVALID_PARAMETER

      A provided parameter was invalid.

    - #### NOT_IMPLEMENTED

          public static final APIResult NOT_IMPLEMENTED

      The feature is not implemented.

    - #### NOT_APPLICABLE

          public static final APIResult NOT_APPLICABLE

      Null.

    - #### _INVALID

          public static final APIResult _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static APIResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APIResult c : APIResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APIResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static APIResult get(byte value)

    - #### validValues

          public static java.util.Collection<APIResult> validValues()